Proftpd güvenlik açığı ve güncellemesi

Geçtiğimiz günlerde  ftp sunucu yazılımı proftpd ‘de yüksek öncelikli bir güvenlik açığı tespit edildi.Açık sadece centos plesklerin dışında başka dağıtımlarda da bulunuyor.

Sürümü güncellemek için aşağıdaki ekran görüntülerindeki adımları sisteminizde uygulayın.

veya aşağıdaki adımları uygulayayın;

Atomic depolarını sunucumuzdaki yum paket yöneticisine ekliyoruz..

wget -q -O – http://www.atomicorp.com/installers/atomic |sh

Daha sonra bu /etc/yum.repos.d/atomic.repo dosyasını bir text editorle açıyoruz..

nano /etc/yum.repos.d/atomic.repo

ve aşağıdaki işaretli alanın değerini 1 yapıp dosyayı kaydediyoruz.

# Almost Stable, release candidates for [atomic]
# Note these are not supported by anyone. -Scott
[atomic-testing]
name = CentOS / Red Hat Enterprise Linux $releasever – atomicrocketturtle.com – (Testing)
mirrorlist = http://www.atomicorp.com/mirrorlist/atomic-testing/centos-5-$basearch
enabled = 1
priority = 1
protect = 0
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY.art.txt
gpgcheck = 1

daha sonra

yum upgrade psa-proftpd

veya

yum upgrade psa-proftpd-xinetd (plesk 8.6 versiyonları için geçerli)

olarak proftp yi güncelleyiniz.